/**
* Implementation of an input handler using the mouse as an interface
**/
class WuSMouseInput implements WuSInputInterface
{
  private boolean newInputAvailable=false;
  private WuSView view; //we need the view to map from x/y-coordinate to game field
  private String currentPosition="";
  
  public WuSMouseInput(WuSView view)
  {
    this.view = view;
  }
  
  public String getSelectedPosition()
  {
    return currentPosition;
  }

  public boolean newPositionAvailable()
  {
   boolean out = newInputAvailable;
   newInputAvailable = false; //after the new position has been handled, return false;
   return out;
  }
  
  /**
  * This function is called from the main tab
  * whenever the mouse was clicked
  **/
  void update() {
    //check if the click happend in the field
    if(mouseX < view.size*0.13 || mouseX > view.size*0.13+view.width || mouseY < view.size*0.4 || mouseY > view.size*0.4+view.height)
    {
      ; //nothing todo
    }
    else
    {
      int column=(int)((mouseX-view.size*0.13)/view.width*8);
      int row=(int)((mouseY-view.size*0.4)/view.height*7);
      String newPosition = arrayPositionToString(new int[]{row,column});
      if(newPosition.charAt(0)!='X') //if the field is a black one, the function returns X, we dont handle black squares
      {
        currentPosition = newPosition;
        newInputAvailable = true;
      }
    }
  }
}
